Package org.codehaus.groovy.tools.shell

# Class IO.Verbosity

java.lang.Object
org.codehaus.groovy.tools.shell.IO.Verbosity

Enclosing class:
  IO

public static final class IO.Verbosity extends Object
Verbosity for simple logging: QUIET, INFO, VERBOSE, DEBUG

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final IO.Verbosity`
  `DEBUG`
  Debug-level output.
  `static final IO.Verbosity`
  `INFO`
  Normal informational output.
  `final String`
  `name`
  The symbolic name of this verbosity level.
  `static final IO.Verbosity`
  `QUIET`
  Minimal output.
  `static final IO.Verbosity`
  `VERBOSE`
  Extra informational output.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IO.Verbosity`
  `forName(String name)`
  Resolves a verbosity level by name.
  `String`
  `toString()`
  Returns the symbolic name of this verbosity level.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### QUIET

    public static final IO.Verbosity QUIET
    Minimal output.

  - ### INFO

    public static final IO.Verbosity INFO
    Normal informational output.

  - ### VERBOSE

    public static final IO.Verbosity VERBOSE
    Extra informational output.

  - ### DEBUG

    public static final IO.Verbosity DEBUG
    Debug-level output.

  - ### name

    public final String name
    The symbolic name of this verbosity level.

- ## Method Details

  - ### toString

    public String toString()
    Returns the symbolic name of this verbosity level.
    Overrides:
      `toString` in class `Object`
    Returns:
      the verbosity name

  - ### forName

    public static IO.Verbosity forName(String name)
    Resolves a verbosity level by name.
    Parameters:
      `name` - the name to resolve
    Returns:
      the matching verbosity level
    Throws:
      `IllegalArgumentException` - if the name does not match a known level